Bug 172207 - CVE-2005-3390 PHP register globals arbitrary code execution
CVE-2005-3390 PHP register globals arbitrary code execution
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: php (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
David Lawrence
impact=moderate,public=20051031,sourc...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-01 11:03 EST by Josh Bressers
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version: RHSA-2005-838
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-10 14:16:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2005-11-01 11:03:19 EST
The RFC1867 file upload feature in PHP 4.x up to 4.4.0 and 5.x up to 5.0.5,
when register_globals is enabled, allows remote attackers to modify the
GLOBALS array and bypass security protections of PHP applications via a
multipart/form-data POST request with a "GLOBALS" fileupload field.

http://www.hardened-php.net/advisory_202005.79.html

This issue should also affect RHEL2.1 and RHEL3
Comment 1 Ryan Spaulding 2005-11-03 12:38:08 EST

Is there an ETA on a fix for 4WS users?

Thank you,

Ryan Spaulding
NASA Ames Research Center
Comment 2 Red Hat Bugzilla 2005-11-10 14:06:50 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-831.html
Comment 3 Red Hat Bugzilla 2005-11-10 14:16:51 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-838.html

Note You need to log in before you can comment on or make changes to this bug.